AbstractCallSite (Groovy 5.0.8)

Package: org.codehaus.groovy.runtime.callsite

## [Java] Class AbstractCallSite

- org.codehaus.groovy.runtime.callsite.AbstractCallSite

- All Implemented Interfaces and Traits:
    CallSite

      public class AbstractCallSite
      extends Object
      implements CallSite

  Base class for all call sites.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CallSiteArray` | `array` |
    `protected int` | `index` |
    `protected String` | `name` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractCallSite(CallSiteArray array, int index, String name)`
    `AbstractCallSite(CallSite prev)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public CallSite` | `acceptGetProperty(Object receiver)`
    `` | `public CallSite` | `acceptGroovyObjectGetProperty(Object receiver)`
    `` | `public Object` | `call(Object receiver, Object[] args)`
    `` | `public Object` | `call(Object receiver)`
    `` | `public Object` | `call(Object receiver, Object arg1)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callConstructor(Object receiver, Object[] args)`
    `` | `public Object` | `callConstructor(Object receiver)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object[] args)`
    `` | `public Object` | `callCurrent(GroovyObject receiver)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callGetProperty(Object receiver)`
    `` | `public final Object` | `callGetPropertySafe(Object receiver)`
    `` | `public Object` | `callGroovyObjectGetProperty(Object receiver)`
    `` | `public final Object` | `callGroovyObjectGetPropertySafe(Object receiver)`
    `` | `public final Object` | `callSafe(Object receiver, Object[] args)`
    `` | `public final Object` | `callSafe(Object receiver)`
    `` | `public final Object` | `callSafe(Object receiver, Object arg1)`
    `` | `public final Object` | `callSafe(Object receiver, Object arg1, Object arg2)`
    `` | `public final Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `public Object` | `callStatic(Class receiver, Object[] args)`
    `` | `public Object` | `callStatic(Class receiver)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3)`
    `` | `public Object` | `callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `protected final CallSite` | `createGetPropertySite(Object receiver)`
    `` | `protected final CallSite` | `createGroovyObjectGetPropertySite(Object receiver)`
    `` | `public CallSiteArray` | `getArray()`
    `` | `public int` | `getIndex()`
    `` | `public String` | `getName()`
    `` | `public Object` | `getProperty(Object receiver)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final CallSiteArray array

    - #### protected final int index

    - #### protected final String name

  - ### Constructor Detail

    - #### public AbstractCallSite(CallSiteArray array, int index, String name)

    - #### public AbstractCallSite(CallSite prev)

  - ### Method Detail

    - #### public CallSite acceptGetProperty(Object receiver)

    - #### public CallSite acceptGroovyObjectGetProperty(Object receiver)

    - #### @Override
      public Object call(Object receiver, Object[] args)

    - #### @Override
      public Object call(Object receiver)

    - #### @Override
      public Object call(Object receiver, Object arg1)

    - #### @Override
      public Object call(Object receiver, Object arg1, Object arg2)

    - #### @Override
      public Object call(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### @Override
      public Object call(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### @Override
      public Object callConstructor(Object receiver, Object[] args)

    - #### @Override
      public Object callConstructor(Object receiver)

    - #### @Override
      public Object callConstructor(Object receiver, Object arg1)

    - #### @Override
      public Object callConstructor(Object receiver, Object arg1, Object arg2)

    - #### @Override
      public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### @Override
      public Object callConstructor(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### @Override
      public Object callCurrent(GroovyObject receiver, Object[] args)

    - #### @Override
      public Object callCurrent(GroovyObject receiver)

    - #### @Override
      public Object callCurrent(GroovyObject receiver, Object arg1)

    - #### @Override
      public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2)

    - #### @Override
      public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3)

    - #### @Override
      public Object callCurrent(GroovyObject receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### @Override
      public Object callGetProperty(Object receiver)

    - #### @Override
      public final Object callGetPropertySafe(Object receiver)

    - #### @Override
      public Object callGroovyObjectGetProperty(Object receiver)

    - #### @Override
      public final Object callGroovyObjectGetPropertySafe(Object receiver)

    - #### @Override
      public final Object callSafe(Object receiver, Object[] args)

    - #### @Override
      public final Object callSafe(Object receiver)

    - #### @Override
      public final Object callSafe(Object receiver, Object arg1)

    - #### @Override
      public final Object callSafe(Object receiver, Object arg1, Object arg2)

    - #### @Override
      public final Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### @Override
      public Object callSafe(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### @Override
      public Object callStatic(Class receiver, Object[] args)

    - #### @Override
      public Object callStatic(Class receiver)

    - #### @Override
      public Object callStatic(Class receiver, Object arg1)

    - #### @Override
      public Object callStatic(Class receiver, Object arg1, Object arg2)

    - #### @Override
      public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3)

    - #### @Override
      public Object callStatic(Class receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### protected final CallSite createGetPropertySite(Object receiver)

    - #### protected final CallSite createGroovyObjectGetPropertySite(Object receiver)

    - #### @Override
      public CallSiteArray getArray()

    - #### @Override
      public int getIndex()

    - #### @Override
      public String getName()

    - #### @Override
      public Object getProperty(Object receiver)